package imcacat.adxvctl;

import imcacat.adxvctl.util.Pair;

import javax.swing.JSpinner;
import javax.swing.SpinnerModel;

import com.jgoodies.binding.adapter.BasicComponentFactory;
import com.jgoodies.binding.adapter.SpinnerToValueModelConnector;
import com.jgoodies.binding.value.ValueModel;

/**
 * I am a Java Swing component Factory.  I am an instance of the Factory
 * pattern.
 */
public class ComponentFactory extends BasicComponentFactory {
  public static Pair<JSpinner,SpinnerToValueModelConnector> createSpinner(
      ValueModel spinnerValueModel, SpinnerModel spinnerModel) {
    return new Pair<JSpinner,SpinnerToValueModelConnector>(
      new JSpinner(spinnerModel),
      new SpinnerToValueModelConnector(spinnerModel, spinnerValueModel,
        spinnerValueModel.getValue()));
  }
}
